Frågor och svar

Tillbaka
Teknisk informasjon om TLS for databaser

TLS med MySQL er teknisk komplekst og krevende å sette seg inn i. Denne informasjonen er her for teknisk avanserte kunder som ønsker å finne ut av og fikse problemer med sin TLS-tilkobling til en database.

TLS-versjoner, chiffere og implementasjoner

For MySQL 5.7 og MariaDB 10.3 har vi av kompatibilitetshensyn valgt å bare støtte DHE-RSA-AES256-SHA. Hvis du har problemer med tilkobling med en klient du vet støtter TLS v1.0, v1.1 eller v1.2, og du likevel ikke får logget inn med TLS påskrudd, sjekk at DHE-RSA-AES256-SHA er støttet.

Fra og med MariaDB 10.4 og Percona 5.7 støtter vi kun TLS v1.2 og v1.3, det er ingen særskilte begrensninger i chiffere, utover de som følger med i protokollene og i underliggende OpenSSL.

For de som ønsker et dypere dykk i materien, så har MariaDB, MySQL og Percona alle dokumentasjon over sine respektive SSL-/TLS-implementasjoner. Nedenstående tabell viser hvilke OS-versjoner som brukes for å betjene de respektive MySQL-variantene. Tabellen inneholder lenker til MySQL-leverandørens dokumentasjon.

MySQL-variantOS-versjonPakke-leverandør
MariaDB 10.3Debian StretchMariaDB official Debian repo
MariaDB 10.4Debian BusterMariaDB official Debian repo
MySQL 5.7Debian StretchMySQL official Debian repo
Percona 5.7Ubuntu Server 20.04 LTSPercona official Ubuntu repo

Teknisk informasjon om utfordringer med Debian Stretch som klient

Hvis du skal bruke Debian Stretch som klient for TLS-tilkoblinger, vær obs på at medfølgende klientbiblioteker for MySQL ikke støtter TLS v1.2 og nyere. Se denne bugrapporten (bugs.debian.org) for mer informasjon.

Klientbiblioteker bruker ikke TLS for tilkobling til MySQL-databaser med mindre man eksplisitt aktiverer det, og problemet opptrer derfor ikke for vanlig programvare som kjører på webhotell hos oss og kobler til databaser på vårt interne nett, men det kan oppstå ved eksplisitt bruk av TLS i manuell konfigurasjon eller fra eksterne tilkoblinger.

Hvis du selv har Debian Stretch og ønsker å pålitelig bruke TLS til databasetilkoblinger, vurder å bruke oppdaterte ferdigpakkede klientbiblioteker for MariaDB 10.3 (mariadb.org, krever javascript) eller Percona 5.7 (percona.com).


Se även:

Sökord:  

Innehållsförteckning

© 2020 Domeneshop AS · Om oss · Villkor · Dataskydd